| OpenMS 2.5.0

RNADigestor

Digests an RNA sequence database in-silico.

pot. predecessor tools | RNADigestor | pot. successor tools
none (FASTA input) | none (so far)

This application is used to digest an RNA sequence database to get all fragments given a cleavage enzyme.

The command line parameters of this tool are:

    RNADigestor -- Digests an RNA sequence database in-silico.

    Full documentation: http://www.openms.de/documentation/UTILS_RNADigestor.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      RNADigestor <options>

    Options (mandatory options marked with '*'):

      -in <file>*                 Input file containing RNA sequences (valid formats: 'fasta')

      -out <file>*                Output file containing sequence fragments (valid formats: 'fasta')

      -missed_cleavages <number>  The number of allowed missed cleavages (default: '1' min: '0')

      -min_length <number>        Minimum length of a fragment (default: '3')

      -max_length <number>        Maximum length of a fragment (default: '30')

      -enzyme <string>            Digestion enzyme (RNase) (default: 'RNase_T1' valid: 'cusativin', 'RNase_MC1',

                                  'RNase_H', 'no cleavage', 'unspecific cleavage', 'RNase_A', 'RNase_T1', 'RNase_

                                  U2')

      -unique                     Report each unique sequence fragment only once

      -cdna                       Input file contains cDNA sequences - replace 'T' with 'U')

    Common UTIL options:

      -ini <file>                 Use the given TOPP INI file

      -threads <n>                Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>           Writes the default configuration file

      --help                      Shows options

      --helphelp                  Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+RNADigestor Digests an RNA sequence database in-silico.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'RNADigestor'
in Input file containing RNA sequences input file*.fasta
out Output file containing sequence fragments output file*.fasta
missed_cleavages 1 The number of allowed missed cleavages 0:∞
min_length 3 Minimum length of a fragment
max_length 30 Maximum length of a fragment
enzyme RNase_T1 Digestion enzyme (RNase)RNase_H,no cleavage,RNase_A,cusativin,RNase_U2,unspecific cleavage,RNase_T1,RNase_MC1
unique false Report each unique sequence fragment only once true,false
cdna false Input file contains cDNA sequences - replace 'T' with 'U')true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false